> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List metric charts for a cluster

> List metric charts available for a cluster.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/metrics/cluster/{id}/charts
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/metrics/cluster/{id}/charts:
    get:
      tags:
        - Metrics
      summary: List metric charts for a cluster
      description: List metric charts available for a cluster.
      operationId: Metrics.getChartsForCluster
      parameters:
        - name: id
          required: true
          in: path
          description: Unique identifier of the cluster.
          schema:
            type: string
        - name: startTs
          required: true
          in: query
          description: Start timestamp in milliseconds from epoch
          schema:
            example: '1735201111814'
            type: number
        - name: endTs
          required: true
          in: query
          description: End timestamp in milliseconds from epoch
          schema:
            example: '1735204711814'
            type: number
      responses:
        '200':
          description: Returns the list of metric charts available for the cluster.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetChartsResponse'
        '400':
          description: Bad Request. Cluster is disconnected
        '404':
          description: Not Found. Cluster with provided id not found
      security:
        - jwt: []
components:
  schemas:
    GetChartsResponse:
      type: object
      properties:
        step:
          type: string
          description: >-
            Prometheus duration string for the query step size applied to the
            returned charts.
          example: 30s
        graphs:
          description: List of available charts.
          type: array
          items:
            $ref: '#/components/schemas/Graph'
      required:
        - step
        - graphs
      title: GetChartsResponse
      x-fern-type-name: GetChartsResponse
    Graph:
      type: object
      properties:
        name:
          type: string
          description: Chart display name.
        description:
          type: string
          description: Chart description.
        chart:
          type: string
          description: Chart identifier.
        chartType:
          type: string
          enum:
            - line
            - vertical_line
            - stacked_bar
            - stacked_area
            - bubble
            - horizontal_bar
            - horizontal_stacked_bar
            - horizontal_box_plot
            - bar_list
          description: Chart visualisation type.
        params:
          type: string
          description: >-
            Opaque params string describing chart configuration to pass back to
            the corresponding chart data endpoint.
      required:
        - name
        - description
        - chart
        - chartType
        - params
      title: Graph
      x-fern-type-name: Graph
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````